package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;

public class EmphasizerTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3_1 = new Action3D("x-res:///axis.a3");
        a3_1.setScale(0.2);a3_1.setLoc(0.5,0.0,0.0);
        Action3D a3_2 = new Action3D("x-res:///axis.a3");
        a3_2.setScale(0.2);a3_2.setLoc(-0.5,0.0,0.0);
        w.add(a3_1);
        w.add(a3_2);
        Thread.sleep(3000);
        a3_2.emphasize();
        a3_2.emphasize();//error test
        Thread.sleep(3000);
        a3_2.unemphasize();
        a3_2.unemphasize();//error test
        Thread.sleep(3000);
        a3_2.emphasize();
    }
}
